/*************************************************************************
Author:   	$Author: dennis $
File:     	$HeadURL: file:///home/dennis/svn-store/avr-source/gpib_004/timer16.h $
Date:  		$Date: 2008-05-11 07:57:02 +0200 (So, 11 Mai 2008) $
Revision: 	$Revision: 65 $
Id: 		$Id: timer16.h 65 2008-05-11 05:57:02Z dennis $
Licence:	GNU General Public License
 *************************************************************************/
/**
 *  @defgroup timer_lib Timer Library
 *  @code #include <timer16.h> @endcode
 *
 *  @brief Timer Library.
 *
 *  16 bit timer implementation.
 *
 *  @author Dennis Dingeldein  http://www.dingeldein-online.de
 */

#ifndef TIMER16_H_
#define TIMER16_H_

#include <stdint.h>

#ifndef F_CPU
#error "You must define F_CPU value (CPU frequency in Hz)"
#endif

#define DEBOUNCE 4000L /**< number of calls per second for timer ISR */

extern volatile uint8_t s; /**< second value, increased by one every second */
extern volatile uint16_t UserTimer1;  /**< user timer value, increased by interrupt. To be used (RW) by user functions. */
void timer16_init( void );

#endif /*TIMER16_H_*/
